<Project Sdk="Microsoft.NET.Sdk">
 
  <PropertyGroup>
    <TargetFrameworks>netstandard2.0</TargetFrameworks>
    
    <PackageId>FastReport.Core</PackageId>

    <!--If 'true' then excludes FastReport.Compat package and adds reference to local source code
    NOTE: <DebugFRDataVis> becomes 'true'
    and you must have source code FastReport.Compat and FastReport.DataVisualization-->
    <DebugFRCompat>false</DebugFRCompat>

    <!--If 'true' then excludes FastReport.DataVisualization package and adds reference to local source code-->
    <DebugFRDataVis>false</DebugFRDataVis>
    
    <!--If 'false' then excludes source files with MSChart-->
    <UseMSChart>true</UseMSChart>
  </PropertyGroup>

  <PropertyGroup Condition="'$(OS)' == 'Windows_NT' And !$(DebugFRCompat)">
    <TargetFrameworks>$(TargetFrameworks);net40</TargetFrameworks>
  </PropertyGroup>

  <PropertyGroup Condition="'$(VisualStudioVersion)' >= '16'">
    <TargetFrameworks>$(TargetFrameworks);netcoreapp3.1</TargetFrameworks>
  </PropertyGroup>

  <!--Import shared properties, source & targets-->
  <Import Project="FastReport.Core.Shared.props" />


  <PropertyGroup>
  <Description>FastReport.Core is a full-featured reporting solution for .Net Core and .Net Framework 4.x. 
Various report objects will allow your report to look exactly how you want it to: 13 types of bands, 25 types of barcodes, table object, diagram, maps, shapes, line, PolyLine, Polygon and many more. 
FastReport.Core supports export to various popular formats, such as PDF/A, Excel, Word, Open Office, HTML, CSV, Json, XAML, ZPL, etc.
$(DemoDescription)
</Description>
  </PropertyGroup>
  
      
  <ItemGroup Condition="'$(TargetFramework)'!='net40'">
    <PackageReference Include="System.Drawing.Common" Version="$(SystemDrawingCommonVersion)" />
  </ItemGroup>
    
  <ItemGroup>
    <PackageReference Include="FastReport.Compat" Version="$(FRCompatVersion)" Condition="!$(DebugFRCompat)" />
    <PackageReference Include="FastReport.DataVisualization" Version="$(FRDataVisualizationVersion)" Condition="!$(DebugFRDataVis) And $(UseMSChart)" />
  </ItemGroup>

  <ItemGroup Condition="'$(TargetFramework)'=='net40'">
    <Reference Include="Accessibility" />
    <Reference Include="System" />
    <Reference Include="System.Data" />
    <Reference Include="System.Drawing" />
    <Reference Include="System.Windows.Forms" />
    <Reference Include="System.Xml" />
    <Reference Include="System.Security" />
    <Reference Include="Microsoft.CSharp" />
  </ItemGroup>

  <ItemGroup Condition="$(DebugFRCompat)">
    <ProjectReference Include="..\..\FastReport.Compat\src\FastReport.Compat\FastReport.Compat.csproj" />
  </ItemGroup>
  <ItemGroup Condition="$(DebugFRDataVis) And $(UseMSChart)">
    <ProjectReference Include="..\..\winforms-datavisualization\src\Any\Chart.csproj" />
  </ItemGroup>

</Project>
